<?php

/**
 * ekartki actions.
 *
 * @package    sam3
 * @subpackage ekartki
 * @author     Robert Górecki
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class ekartkiActions extends myActions
{

  public function preExecute()
  {
    $perm = ($this->getUser()->checkPermission('card', 'edit') == 1) ? true : false;
    
    if (!$perm || !in_array('card', ModulPeer::getEnabled()))
    {
      $this->forwardSecure();
    }
  }

  public function executeIndex(sfWebRequest $request)
  {
    $c = $this->addSortCrit('EkartkiPeer', new Criteria());
    $c->add(EkartkiPeer::STATUS, 1);
    $this->ekartki_list = EkartkiPeer::doSelect($c);
  }

  public function executeArchiwum(sfWebRequest $request)
  {
    $c = $this->addSortCrit('EkartkiPeer', new Criteria());
    $c->add(EkartkiPeer::STATUS, 2);
    $this->ekartki_list = EkartkiPeer::doSelect($c);
  }

  public function executeDoArchiwum(sfWebRequest $request)
  {
    $this->ecard = EkartkiPeer::retrieveByPk($request->getParameter('id'));
    $this->forward404Unless($this->ecard);
    $this->ecard->setStatus(2);
    $this->ecard->save();
    $this->getUser()->setFlash('notice', 'Pomyślnie przeniesiono e-kartkę do archiwum!');
    
    $this->redirect('ekartki/index');
  }

  public function executeDoAktywnych(sfWebRequest $request)
  {
    $this->ecard = EkartkiPeer::retrieveByPk($request->getParameter('id'));
    $this->forward404Unless($this->ecard);
    $this->ecard->setStatus(1);
    $this->ecard->save();
    $this->getUser()->setFlash('notice', 'Pomyślnie przeniesiono e-kartkę do aktywnych!');
    $this->redirect('ekartki/archiwum');
  }
}
