<?php use_helper('Date');?>

<?php slot('top')?>
    <?php GenerateTab('card'); ?>
<?php end_slot()?>

<?php slot('message');?>
    <span id="updater">
        <?php include_partial('frontend/flashes');?>
    </span>
<?php end_slot();?>

<?php slot('actions');?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_grupy/new')."');");?>
<?php end_slot();?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
				<?php echo __("MENU") ?>
            </div>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('GRUPY E-KARTEK')?></div>

        <table class="table_list">
            <thead>
                <tr>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'nazwa', 'col_title' => 'Nazwa', 'target' => 'ekartki_grupy/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'created_at', 'col_title' => 'Dodana', 'target' => 'ekartki_grupy/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'publikacja_od', 'col_title' => 'Publikacja od', 'target' => 'ekartki_grupy/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'publikacja_do', 'col_title' => 'Publikacja do', 'target' => 'ekartki_grupy/index'));?></th>
                    <th style="width:60px;"><?php echo __('Akcje'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($ekartki_grupy_list as $i => $ekartki_grupy): ?>
                    <tr class="row_<?php echo $i % 2;?>">
                        <td><?php echo link_to($ekartki_grupy->getNazwa(),'ekartki_grupy/edit?id='.$ekartki_grupy->getId()) ?></td>
                        <td title="<?php echo $ekartki_grupy->getCreatedAt() ? format_date($ekartki_grupy->getCreatedAt(), "U") : '&nbsp;' ?>">
                            <?php echo $ekartki_grupy->getCreatedAt() ? date_format(date_create($ekartki_grupy->getCreatedAt()),'j.m.Y') : '&nbsp;' ?>
                        </td>
                        <td><?php echo $ekartki_grupy->getPublikacjaOd() ?></td>
                        <td><?php echo $ekartki_grupy->getPublikacjaDo() ?></td>
                        <td><?php echo link_to(' ', 'ekartki_grupy/edit?id='.$ekartki_grupy->getId(), array('class'=>'min_edit', 'title'=>__('Edytuj')))?>
                            <?php echo link_to(' ', 'ekartki_grupy/delete?id='.$ekartki_grupy->getId(), array('class'=>'min_del', 'title'=>__('Skasuj'), 'confirm' => __('Czy jesteś pewien?')))?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                <?php if(!count($ekartki_grupy_list)): ?>
                    <tr class="row_0">
                        <td colspan="5" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
        <div class="right">
            <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_grupy/new')."');");?>
        </div>
    </div>
</div>