<?php use_helper('Date');?>

<?php slot('top')?>
    <?php GenerateTab('card'); ?>
<?php end_slot()?>

<?php slot('message');?>
    <span id="updater">
        <?php include_partial('frontend/flashes');?>
    </span>
<?php end_slot();?>

<?php slot('actions');?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_style/new')."');");?>
<?php end_slot();?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
				<?php echo __("MENU") ?>
            </div>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('STYLE')?></div>
        <?php $upload_dir = sfContext::getInstance()->getRequest()->getRelativeUrlRoot().'/uploads/ekartki/style/';?>
        <table class="table_list">
            <thead>
                <tr>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'nazwa', 'col_title' => 'Nazwa', 'target' => 'ekartki_style/index'));?></th>
                    <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'created_at', 'col_title' => 'Dodany', 'target' => 'ekartki_style/index'));?></th>
                    <th><?php echo __('Plik'); ?></th>
                    <th style="width:60px;"><?php echo __('Akcje'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($ekartki_style_list as $i => $ekartki_style): ?>
                    <?php $file = sfConfig::get('sf_upload_dir').'/ekartki/style/'.$ekartki_style->getId().'/thumb_'.$ekartki_style->getPlik();?>
                    <tr class="row_<?php echo $i % 2;?>">
                        <td><?php echo link_to($ekartki_style->getNazwa(),'ekartki_style/edit?id='.$ekartki_style->getId()) ?></td>
                        <td style="text-align: center;" title="<?php echo $ekartki_style->getCreatedAt() ? format_date($ekartki_style->getCreatedAt(), "U") : '&nbsp;' ?>">
                            <?php echo $ekartki_style->getCreatedAt() ? date_format(date_create($ekartki_style->getCreatedAt()),'d.m.Y') : '&nbsp;' ?>
                        </td>
                        <td style="text-align: center;">
                            <?php if(is_file($file)): ?>
                                <?php echo image_tag($upload_dir.'/'.$ekartki_style->getId().'/thumb_'.$ekartki_style->getPlik(),array('title'=>'','alt'=>'')) ?>
                            <?php endif; ?>
                        </td>
                        <td><?php echo link_to(' ', 'ekartki_style/edit?id='.$ekartki_style->getId(), array('class'=>'min_edit', 'title'=>__('edit')))?>
                            <?php echo link_to(' ', 'ekartki_style/delete?id='.$ekartki_style->getId(), array('class'=>'min_del', 'title'=>__('delete'), 'confirm' => __('Napewno usunąć styl?')))?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                <?php if(!count($ekartki_style_list)): ?>
                    <tr class="row_0">
                        <td colspan="4" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
                <div class="right">
            <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('ekartki_style/new')."');");?>
        </div>

    </div>
</div>
