<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<form name="eform" action="<?php echo url_for('ekartki_znaczki/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <fieldset class="editor">
        <legend><?php echo __('Znaczek');?></legend>
        <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <table>
            <tfoot>
                <tr>
                    <td></td>
                    <td>
                        <?php echo $form->renderHiddenFields() ?>
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <tr>
                    <th><?php echo $form['nazwa']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['nazwa']->renderError() ?>
                        <?php echo $form['nazwa'] ?>
                    </td>
                </tr>
                <tr><th></th><td class="help"><?php echo $form['nazwa']->renderHelp() ?></td></tr>
                <tr>
                    <th><?php echo $form['plik']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['plik']->renderError() ?>
                        <?php echo $form['plik'] ?>
                    </td>
                </tr>
                <tr><th></th><td class="help"><?php echo $form['plik']->renderHelp() ?></td></tr>
            </tbody>
        </table>
    </fieldset>
       <div class="right">
    <?php include_partial('edit_actions', array('form' => $form));?>
</div>
</form>
