<?php 
    use_stylesheet('portal/ekartki');
    use_javascript('ekartki');

    //slot('navigator');
        $path = array( __('E-kartki') => url_for('ekartki/list'));
    //    include_partial('Common/nawigator', array('path' => $path));
    //end_slot();
    $_SESSION['navigator_path'] = serialize($path);
?>
<div class="article">
    <div class="belka resize_font">
        <div class="title"><?php echo link_to(__('E-kartki'), 'ekartki/index'); ?></div>
    </div>
    <div id="ecard_holder" class="content_tresc">
        <?php if ($sf_user->hasFlash('notice')): ?>
            <div class="notice"><?php echo $sf_user->getFlash('notice') ?></div>
        <?php endif; ?>
        <?php if ($sf_user->hasFlash('error')): ?>
            <div class="error"><?php echo $sf_user->getFlash('error') ?></div>
        <?php endif; ?>

                    <?php if($can_compose):?>
            <form method="post" action="<?php echo url_for('ekartki/wyslij')?>">
                <div id="step1">
                    <div class="title1"><?php echo __('Krok 1').'&nbsp;-&nbsp;'.__('Wybierz zdjęcie')?></div>
                    <div class="clr"></div>
                    <?php foreach($grupy as $grupa):?>
                        <?php $images = $grupa->getAktywneObrazy();?>
                        <?php if(count($images)!=0): ?>
                            <?php include_partial('grupa', array('grupa' => $grupa, 'images' => $images, 'upload_dir' => $upload_dir)) ?>
                        <?php endif; ?>
                    <?php endforeach;?>
                </div>
                <div id="step2" style="display:none">
                    <?php include_partial('form', array('form' => $form))?>
                </div>
                <div id="step3" style="display:none">
                    <?php include_partial('step3', array('znaczki' => $znaczki, 'style' => $style, 'upload_dir' => $upload_dir))?>
                </div>
            </form>
                    <?php else: ?>
            <?php echo __('Z powodu błędów nie można skomponować e-kartki!')?>
        <?php endif; ?>
    </div>
    <div class="cl"></div>
</div>
