-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 07 Mar 2017, 14:21
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.3.29

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ekartki`
--

CREATE TABLE IF NOT EXISTS `ekartki` (
  `id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `adresat` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `nadawca` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `tresc` text COLLATE utf8_polish_ci NOT NULL,
  `podpis` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `data_wyslania` datetime DEFAULT NULL,
  `status` tinyint(1) DEFAULT '0',
  `obejrzana` datetime DEFAULT NULL,
  `obraz` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `znaczek` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `styl` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `kod` varchar(30) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ekartki_grupy`
--

CREATE TABLE IF NOT EXISTS `ekartki_grupy` (
  `id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `publikacja_od` datetime DEFAULT NULL,
  `publikacja_do` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ekartki_obrazy`
--

CREATE TABLE IF NOT EXISTS `ekartki_obrazy` (
  `id` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `uzytkownik_id` int(11) DEFAULT NULL,
  `grupa_id` int(11) DEFAULT NULL,
  `publikacja_od` datetime DEFAULT NULL,
  `publikacja_do` datetime DEFAULT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `plik` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `status` tinyint(1) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ekartki_style`
--

CREATE TABLE IF NOT EXISTS `ekartki_style` (
  `id` int(11) NOT NULL,
  `uzytkownik_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `plik` varchar(255) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ekartki_znaczki`
--

CREATE TABLE IF NOT EXISTS `ekartki_znaczki` (
  `id` int(11) NOT NULL,
  `uzytkownik_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `plik` varchar(255) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `ekartki`
--
ALTER TABLE `ekartki`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ekartki_grupy`
--
ALTER TABLE `ekartki_grupy`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `ekartki_obrazy`
--
ALTER TABLE `ekartki_obrazy`
  ADD PRIMARY KEY (`id`),
  ADD KEY `ekartki_obrazy_FI_1` (`uzytkownik_id`),
  ADD KEY `ekartki_obrazy_FI_2` (`grupa_id`);

--
-- Indexes for table `ekartki_style`
--
ALTER TABLE `ekartki_style`
  ADD PRIMARY KEY (`id`),
  ADD KEY `ekartki_style_FI_1` (`uzytkownik_id`);

--
-- Indexes for table `ekartki_znaczki`
--
ALTER TABLE `ekartki_znaczki`
  ADD PRIMARY KEY (`id`),
  ADD KEY `ekartki_znaczki_FI_1` (`uzytkownik_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `ekartki`
--
ALTER TABLE `ekartki`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `ekartki_grupy`
--
ALTER TABLE `ekartki_grupy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `ekartki_obrazy`
--
ALTER TABLE `ekartki_obrazy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `ekartki_style`
--
ALTER TABLE `ekartki_style`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `ekartki_znaczki`
--
ALTER TABLE `ekartki_znaczki`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `ekartki_obrazy`
--
ALTER TABLE `ekartki_obrazy`
  ADD CONSTRAINT `ekartki_obrazy_FK_1` FOREIGN KEY (`uzytkownik_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `ekartki_obrazy_FK_2` FOREIGN KEY (`grupa_id`) REFERENCES `ekartki_grupy` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `ekartki_style`
--
ALTER TABLE `ekartki_style`
  ADD CONSTRAINT `ekartki_style_FK_1` FOREIGN KEY (`uzytkownik_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `ekartki_znaczki`
--
ALTER TABLE `ekartki_znaczki`
  ADD CONSTRAINT `ekartki_znaczki_FK_1` FOREIGN KEY (`uzytkownik_id`) REFERENCES `sf_guard_user` (`id`) ON DELETE CASCADE;

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(26, 'card', 1, 0, 1, 'e-Kartki', 0, 1, 1);
 

REPLACE INTO `ustawienie_tbl` (`nazwa`, `tresc`, `updated_at`, `portal_id`) VALUES
('ecard_server_addr', 'mailer.sam3.pl', '2010-08-17 15:58:28', 1),
('ecard_server_pass', '4concept9999', '2010-08-17 16:29:26', 1),
('ecard_server_port', '587', '2010-08-17 15:58:29', 1),
('ecard_server_protokol', '8', '2012-09-18 14:09:38', 1),
('ecard_server_user', 'concept@mailer.sam3.pl', '2010-08-17 15:58:29', 1);
 
--
-- Zrzut danych tabeli `ekartki`
--

REPLACE INTO `ekartki` (`id`, `created_at`, `updated_at`, `adresat`, `nadawca`, `tresc`, `podpis`, `data_wyslania`, `status`, `obejrzana`, `obraz`, `znaczek`, `styl`, `kod`) VALUES
(1, '2016-01-21 13:58:41', '2016-01-21 13:58:41', 't.glowinski@concept.net.pl', 'wujek@wp.pl', 'heya banana, pozdrowienia z conceptu', 'Stryjek Kristo', '2016-01-21 00:00:00', 1, NULL, '7', '5', '3', 'uefnud0gxd8w3xt9s7zgysfs4pe47m');

--
-- Zrzut danych tabeli `ekartki_grupy`
--

REPLACE INTO `ekartki_grupy` (`id`, `created_at`, `updated_at`, `nazwa`, `publikacja_od`, `publikacja_do`) VALUES
(1, '2016-01-20 13:07:33', '2016-01-20 13:07:33', 'Grupa A', '2016-01-20 13:07:00', NULL),
(2, '2016-01-20 13:08:04', '2016-01-20 13:08:04', 'Grupa B', '2016-01-20 13:08:00', NULL),
(3, '2016-01-20 13:08:15', '2016-01-20 13:08:15', 'Grupa C', '2016-01-13 13:08:00', NULL);

--
-- Zrzut danych tabeli `ekartki_obrazy`
--

REPLACE INTO `ekartki_obrazy` (`id`, `created_at`, `updated_at`, `uzytkownik_id`, `grupa_id`, `publikacja_od`, `publikacja_do`, `nazwa`, `plik`, `status`) VALUES
(1, '2016-01-21 13:29:49', '2016-01-21 13:31:45', 1, 1, NULL, NULL, 'Obraz 1', '9b38efebf8c64331a7aa7788c0614f6717ad1c9d.jpg', 1),
(2, '2016-01-21 13:32:53', '2016-01-21 13:32:53', 1, 1, NULL, NULL, 'Obraz 2', '0e16e39998a0d8d86ba273fc3ed6cfcf7c6c382b.jpg', 1),
(3, '2016-01-21 13:33:42', '2016-01-21 13:33:42', 1, 1, NULL, NULL, 'Obraz 3', '00ee0ea86c4d58279c6f4020cc820f2b89c7e276.jpg', 1),
(4, '2016-01-21 13:34:03', '2016-01-21 13:34:03', 1, 2, NULL, NULL, 'Obraz 4', '0effaa25e61dbff26ef202400e473e946f0693eb.jpg', 1),
(5, '2016-01-21 13:34:21', '2016-01-21 13:34:21', 1, 2, NULL, NULL, 'Obraz 5', '530a7670ddcc210b8529c34b8e7490716bbc01d8.jpg', 1),
(6, '2016-01-21 13:34:38', '2016-01-21 13:34:38', 1, 2, NULL, NULL, 'Obraz 6', '03f508652b754ee51e355d259a494eeb83aff438.jpg', 1),
(7, '2016-01-21 13:35:18', '2016-01-21 13:35:18', 1, 3, NULL, NULL, 'Obraz 7', '965a5fec24cb87bb7a390df1260370e0aac37149.jpg', 1),
(8, '2016-01-21 13:35:32', '2016-01-21 13:35:32', 1, 3, NULL, NULL, 'Obraz 8', '0ebe8c87402a84c7bd00fd34bff3eb7fd0917361.jpg', 1),
(9, '2016-01-21 13:35:53', '2016-01-21 13:35:53', 1, 3, NULL, NULL, 'Obraz 9', '4a2dc211919e6983031aa57f36607f265c8bc9ef.jpg', 1);

--
-- Zrzut danych tabeli `ekartki_style`
--

REPLACE INTO `ekartki_style` (`id`, `uzytkownik_id`, `created_at`, `updated_at`, `nazwa`, `plik`) VALUES
(1, 1, '2016-01-20 13:05:03', '2016-01-20 13:05:03', 'Styl A', '636ee4c9019f5e4581baab24d802ea88c528b8e7.jpg'),
(2, 1, '2016-01-20 13:05:20', '2016-01-20 13:05:20', 'Styl B', '9665aa063c3e603735b6a258b7dedba46a6d9847.jpg'),
(3, 1, '2016-01-20 13:05:35', '2016-01-20 13:05:35', 'Styl C', '137f6991a2cb0e3d0ceec93aaa3458bb074fc417.jpg'),
(4, 1, '2016-01-20 13:05:48', '2016-01-20 13:05:48', 'Styl D', 'dba512f80a0bf122cb080dfb4d3908b8f17f8132.jpg'),
(5, 1, '2016-01-20 13:06:02', '2016-01-20 13:06:02', 'Styl E', 'c2221b485cb26c919e12d4bf41b20cc3531853df.jpg');

--
-- Zrzut danych tabeli `ekartki_znaczki`
--

REPLACE INTO `ekartki_znaczki` (`id`, `uzytkownik_id`, `created_at`, `updated_at`, `nazwa`, `plik`) VALUES
(1, 1, '2016-01-20 13:06:32', '2016-01-20 13:06:32', 'Znaczek A', '636ee4c9019f5e4581baab24d802ea88c528b8e7.jpg'),
(2, 1, '2016-01-20 13:06:42', '2016-01-20 13:06:42', 'Znaczek B', 'feadbf58ae725b39ed70ba255bb86b080537a674.jpg'),
(3, 1, '2016-01-20 13:06:53', '2016-01-20 13:06:53', 'Znaczek C', '80071345e46ad00c7efdd969dc80a66486bcbc7b.jpg'),
(4, 1, '2016-01-20 13:07:05', '2016-01-20 13:07:05', 'Znaczek D', 'c2221b485cb26c919e12d4bf41b20cc3531853df.jpg'),
(5, 1, '2016-01-20 13:07:16', '2016-01-20 13:07:16', 'Znaczek E', '97312873e869f49c96543f046d0c9cfe516ee722.jpg');

  
SET FOREIGN_KEY_CHECKS=1;
COMMIT;
