<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Ekartki filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseEkartkiFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'created_at'    => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'updated_at'    => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'adresat'       => new sfWidgetFormFilterInput(),
      'nadawca'       => new sfWidgetFormFilterInput(),
      'tresc'         => new sfWidgetFormFilterInput(),
      'podpis'        => new sfWidgetFormFilterInput(),
      'data_wyslania' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'status'        => new sfWidgetFormFilterInput(),
      'obejrzana'     => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'obraz'         => new sfWidgetFormFilterInput(),
      'znaczek'       => new sfWidgetFormFilterInput(),
      'styl'          => new sfWidgetFormFilterInput(),
      'kod'           => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'created_at'    => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at'    => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'adresat'       => new sfValidatorPass(array('required' => false)),
      'nadawca'       => new sfValidatorPass(array('required' => false)),
      'tresc'         => new sfValidatorPass(array('required' => false)),
      'podpis'        => new sfValidatorPass(array('required' => false)),
      'data_wyslania' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'status'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'obejrzana'     => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'obraz'         => new sfValidatorPass(array('required' => false)),
      'znaczek'       => new sfValidatorPass(array('required' => false)),
      'styl'          => new sfValidatorPass(array('required' => false)),
      'kod'           => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('ekartki_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ekartki';
  }

  public function getFields()
  {
    return array(
      'id'            => 'Number',
      'created_at'    => 'Date',
      'updated_at'    => 'Date',
      'adresat'       => 'Text',
      'nadawca'       => 'Text',
      'tresc'         => 'Text',
      'podpis'        => 'Text',
      'data_wyslania' => 'Date',
      'status'        => 'Number',
      'obejrzana'     => 'Date',
      'obraz'         => 'Text',
      'znaczek'       => 'Text',
      'styl'          => 'Text',
      'kod'           => 'Text',
    );
  }
}
