<?php

/**
 * EkartkiGrupy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class EkartkiGrupyForm extends BaseEkartkiGrupyForm {

    public function configure() {
        $this->setWidgets(array(
            'id' => new sfWidgetFormInputHidden(),
            'created_at' => new sfWidgetFormInputHidden(),
            'updated_at' => new sfWidgetFormInputHidden(),
            'nazwa' => new sfWidgetFormInput(array(), array('class' => 'required')),
            'publikacja_od' => new sfWidgetFormInputDateTimeRich(),
            'publikacja_do' => new sfWidgetFormInputDateTimeRich(),
        ));

        $this->setValidators(array(
            'id' => new sfValidatorPropelChoice(array('model' => 'EkartkiGrupy', 'column' => 'id', 'required' => false)),
            'created_at' => new sfValidatorDateTime(array('required' => false)),
            'updated_at' => new sfValidatorDateTime(array('required' => false)),
            'nazwa' => new sfValidatorString(array('max_length' => 255)),
            'publikacja_od' => new sfValidatorDateTime(array('required' => false)),
            'publikacja_do' => new sfValidatorDateTime(array('required' => false)),
        ));

        $this->widgetSchema->setHelps(array(
            'nazwa' => 'Nazwa grupy obrazów',
            'publikacja_od' => 'Podaj termin, od którego obrazy grupy będą dostępne dla Internautów',
            'publikacja_do' => 'Podaj termin, do którego obrazy grupy będą dostępne dla Internautów',
        ));
        $this->widgetSchema->setNameFormat('ekartki_grupy[%s]');

        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
    }

}
