<?php

/**
 * Ekartki form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseEkartkiForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'            => new sfWidgetFormInputHidden(),
      'created_at'    => new sfWidgetFormDateTime(),
      'updated_at'    => new sfWidgetFormDateTime(),
      'adresat'       => new sfWidgetFormInput(),
      'nadawca'       => new sfWidgetFormInput(),
      'tresc'         => new sfWidgetFormTextarea(),
      'podpis'        => new sfWidgetFormInput(),
      'data_wyslania' => new sfWidgetFormDateTime(),
      'status'        => new sfWidgetFormInput(),
      'obejrzana'     => new sfWidgetFormDateTime(),
      'obraz'         => new sfWidgetFormInput(),
      'znaczek'       => new sfWidgetFormInput(),
      'styl'          => new sfWidgetFormInput(),
      'kod'           => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'            => new sfValidatorPropelChoice(array('model' => 'Ekartki', 'column' => 'id', 'required' => false)),
      'created_at'    => new sfValidatorDateTime(array('required' => false)),
      'updated_at'    => new sfValidatorDateTime(array('required' => false)),
      'adresat'       => new sfValidatorString(array('max_length' => 255)),
      'nadawca'       => new sfValidatorString(array('max_length' => 255)),
      'tresc'         => new sfValidatorString(),
      'podpis'        => new sfValidatorString(array('max_length' => 255)),
      'data_wyslania' => new sfValidatorDateTime(array('required' => false)),
      'status'        => new sfValidatorInteger(array('required' => false)),
      'obejrzana'     => new sfValidatorDateTime(array('required' => false)),
      'obraz'         => new sfValidatorString(array('max_length' => 255)),
      'znaczek'       => new sfValidatorString(array('max_length' => 255)),
      'styl'          => new sfValidatorString(array('max_length' => 255)),
      'kod'           => new sfValidatorString(array('max_length' => 30)),
    ));

    $this->widgetSchema->setNameFormat('ekartki[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Ekartki';
  }


}
