<?php

/**
 * EkartkiGrupy form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseEkartkiGrupyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'            => new sfWidgetFormInputHidden(),
      'created_at'    => new sfWidgetFormDateTime(),
      'updated_at'    => new sfWidgetFormDateTime(),
      'nazwa'         => new sfWidgetFormInput(),
      'publikacja_od' => new sfWidgetFormDateTime(),
      'publikacja_do' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'            => new sfValidatorPropelChoice(array('model' => 'EkartkiGrupy', 'column' => 'id', 'required' => false)),
      'created_at'    => new sfValidatorDateTime(array('required' => false)),
      'updated_at'    => new sfValidatorDateTime(array('required' => false)),
      'nazwa'         => new sfValidatorString(array('max_length' => 255)),
      'publikacja_od' => new sfValidatorDateTime(array('required' => false)),
      'publikacja_do' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('ekartki_grupy[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'EkartkiGrupy';
  }


}
