<?php

/**
 * EkartkiObrazy form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseEkartkiObrazyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'            => new sfWidgetFormInputHidden(),
      'created_at'    => new sfWidgetFormDateTime(),
      'updated_at'    => new sfWidgetFormDateTime(),
      'uzytkownik_id' => new sfWidgetFormPropelChoice(array('model' => 'sfGuardUser', 'add_empty' => true)),
      'grupa_id'      => new sfWidgetFormPropelChoice(array('model' => 'EkartkiGrupy', 'add_empty' => true)),
      'publikacja_od' => new sfWidgetFormDateTime(),
      'publikacja_do' => new sfWidgetFormDateTime(),
      'nazwa'         => new sfWidgetFormInput(),
      'plik'          => new sfWidgetFormInput(),
      'status'        => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'            => new sfValidatorPropelChoice(array('model' => 'EkartkiObrazy', 'column' => 'id', 'required' => false)),
      'created_at'    => new sfValidatorDateTime(array('required' => false)),
      'updated_at'    => new sfValidatorDateTime(array('required' => false)),
      'uzytkownik_id' => new sfValidatorPropelChoice(array('model' => 'sfGuardUser', 'column' => 'id', 'required' => false)),
      'grupa_id'      => new sfValidatorPropelChoice(array('model' => 'EkartkiGrupy', 'column' => 'id', 'required' => false)),
      'publikacja_od' => new sfValidatorDateTime(array('required' => false)),
      'publikacja_do' => new sfValidatorDateTime(array('required' => false)),
      'nazwa'         => new sfValidatorString(array('max_length' => 255)),
      'plik'          => new sfValidatorString(array('max_length' => 255)),
      'status'        => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('ekartki_obrazy[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'EkartkiObrazy';
  }


}
