<?php

class EkartkiGrupy extends BaseEkartkiGrupy
{
	public function __toString()
	{
		return $this->getNazwa();
	}
	
	public function getAktywneObrazy()
	{
		$c = new Criteria();
		$c->addAscendingOrderByColumn(EkartkiObrazyPeer::UPDATED_AT);
		$c->add(EkartkiObrazyPeer::GRUPA_ID, $this->getId());
		$c1 = $c->getNewCriterion(EkartkiObrazyPeer::PUBLIKACJA_OD, date('Y-m-d H:i:s'), Criteria::LESS_EQUAL);
		$c2 = $c->getNewCriterion(EkartkiObrazyPeer::PUBLIKACJA_OD, null);
		$c3 = $c->getNewCriterion(EkartkiObrazyPeer::PUBLIKACJA_DO, date('Y-m-d H:i:s'), Criteria::GREATER_EQUAL);
		$c4 = $c->getNewCriterion(EkartkiObrazyPeer::PUBLIKACJA_DO, null);
		$c1->addOr($c2);
		$c3->addOr($c4);
		$c1->addAnd($c3);
		$c->add($c1);
		return EkartkiObrazyPeer::doSelect($c);
	}
}
