<?php



class EkartkiObrazyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.EkartkiObrazyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(EkartkiObrazyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(EkartkiObrazyPeer::TABLE_NAME);
		$tMap->setPhpName('EkartkiObrazy');
		$tMap->setClassname('EkartkiObrazy');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addForeignKey('UZYTKOWNIK_ID', 'UzytkownikId', 'INTEGER', 'sf_guard_user', 'ID', false, 11);

		$tMap->addForeignKey('GRUPA_ID', 'GrupaId', 'INTEGER', 'ekartki_grupy', 'ID', false, 11);

		$tMap->addColumn('PUBLIKACJA_OD', 'PublikacjaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('PUBLIKACJA_DO', 'PublikacjaDo', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('PLIK', 'Plik', 'VARCHAR', true, 255);

		$tMap->addColumn('STATUS', 'Status', 'TINYINT', false, 1);

	} 
} 