<?php



class EkartkiStyleMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.EkartkiStyleMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(EkartkiStylePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(EkartkiStylePeer::TABLE_NAME);
		$tMap->setPhpName('EkartkiStyle');
		$tMap->setClassname('EkartkiStyle');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addForeignKey('UZYTKOWNIK_ID', 'UzytkownikId', 'INTEGER', 'sf_guard_user', 'ID', false, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('PLIK', 'Plik', 'VARCHAR', true, 255);

	} 
} 