<?php slot('top') ?>
    <?php GenerateTab('card'); ?>
<?php end_slot() ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_12"></div>
                <?php echo __("MENU") ?>
            </div>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('ARCHIWUM E-KARTEK') ?></div>
        <table class="table_list" style="width:100%;">
          <thead>
            <tr>
              <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'created_at', 'col_title' => 'Wysłana', 'target' => 'ekartki/archiwum')); ?></th>
              <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'adresat', 'col_title' => 'Adresat', 'target' => 'ekartki/archiwum')); ?></th>
              <th><?php include_partial('frontend/sortableCol', array('module' => $module, 'col_name' => 'nadawca', 'col_title' => 'Nadawca', 'target' => 'ekartki/archiwum')); ?></th>
              <th><?php echo __('Odebrana'); ?></th>
              <th><?php echo __('Akcje'); ?></th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($ekartki_list as $i => $ekartki): ?>
              <tr class="row_<?php echo $i % 2; ?>">
                <td><?php echo $ekartki->getCreatedAt() ?></td>
                <td><?php echo $ekartki->getAdresat() ?></td>
                <td><?php echo $ekartki->getNadawca() ?></td>
                <td><?php echo $ekartki->getObejrzana() == null ? __('Nie') : $ekartki->getObejrzana() ?></td>
                <td><?php echo button_to(' ', 'ekartki/doAktywnych?id=' . $ekartki->getId(), array('confirm' => __('Napewno przenieść e-kartkę do aktywnych?'), 'class' => 'min_dopub', 'title' => __('Do aktywnych'))) ?></td>
              </tr>
            <?php endforeach; ?>

            <?php if(!count($ekartki_list)): ?>
                <tr class="row_0">
                    <td colspan="5" style="text-align: center; font-weight: bold;">
                        <?php echo __('Brak wyników') ?>
                    </td>
                </tr>
            <?php endif; ?>
          </tbody>
        </table>
    </div>
</div>