<?php



class EkartkiGrupyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.EkartkiGrupyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(EkartkiGrupyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(EkartkiGrupyPeer::TABLE_NAME);
		$tMap->setPhpName('EkartkiGrupy');
		$tMap->setClassname('EkartkiGrupy');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('PUBLIKACJA_OD', 'PublikacjaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('PUBLIKACJA_DO', 'PublikacjaDo', 'TIMESTAMP', false, null);

	} 
} 