<?php



class EkartkiMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.EkartkiMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(EkartkiPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(EkartkiPeer::TABLE_NAME);
		$tMap->setPhpName('Ekartki');
		$tMap->setClassname('Ekartki');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('ADRESAT', 'Adresat', 'VARCHAR', true, 255);

		$tMap->addColumn('NADAWCA', 'Nadawca', 'VARCHAR', true, 255);

		$tMap->addColumn('TRESC', 'Tresc', 'LONGVARCHAR', true, null);

		$tMap->addColumn('PODPIS', 'Podpis', 'VARCHAR', true, 255);

		$tMap->addColumn('DATA_WYSLANIA', 'DataWyslania', 'TIMESTAMP', false, null);

		$tMap->addColumn('STATUS', 'Status', 'TINYINT', false, 1);

		$tMap->addColumn('OBEJRZANA', 'Obejrzana', 'TIMESTAMP', false, null);

		$tMap->addColumn('OBRAZ', 'Obraz', 'VARCHAR', true, 255);

		$tMap->addColumn('ZNACZEK', 'Znaczek', 'VARCHAR', true, 255);

		$tMap->addColumn('STYL', 'Styl', 'VARCHAR', true, 255);

		$tMap->addColumn('KOD', 'Kod', 'VARCHAR', true, 30);

	} 
} 