<?php


abstract class BaseEkartkiPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'ekartki';

	
	const CLASS_DEFAULT = 'lib.model.Ekartki';

	
	const NUM_COLUMNS = 14;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'ekartki.ID';

	
	const CREATED_AT = 'ekartki.CREATED_AT';

	
	const UPDATED_AT = 'ekartki.UPDATED_AT';

	
	const ADRESAT = 'ekartki.ADRESAT';

	
	const NADAWCA = 'ekartki.NADAWCA';

	
	const TRESC = 'ekartki.TRESC';

	
	const PODPIS = 'ekartki.PODPIS';

	
	const DATA_WYSLANIA = 'ekartki.DATA_WYSLANIA';

	
	const STATUS = 'ekartki.STATUS';

	
	const OBEJRZANA = 'ekartki.OBEJRZANA';

	
	const OBRAZ = 'ekartki.OBRAZ';

	
	const ZNACZEK = 'ekartki.ZNACZEK';

	
	const STYL = 'ekartki.STYL';

	
	const KOD = 'ekartki.KOD';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'CreatedAt', 'UpdatedAt', 'Adresat', 'Nadawca', 'Tresc', 'Podpis', 'DataWyslania', 'Status', 'Obejrzana', 'Obraz', 'Znaczek', 'Styl', 'Kod', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'createdAt', 'updatedAt', 'adresat', 'nadawca', 'tresc', 'podpis', 'dataWyslania', 'status', 'obejrzana', 'obraz', 'znaczek', 'styl', 'kod', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::CREATED_AT, self::UPDATED_AT, self::ADRESAT, self::NADAWCA, self::TRESC, self::PODPIS, self::DATA_WYSLANIA, self::STATUS, self::OBEJRZANA, self::OBRAZ, self::ZNACZEK, self::STYL, self::KOD, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'created_at', 'updated_at', 'adresat', 'nadawca', 'tresc', 'podpis', 'data_wyslania', 'status', 'obejrzana', 'obraz', 'znaczek', 'styl', 'kod', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'CreatedAt' => 1, 'UpdatedAt' => 2, 'Adresat' => 3, 'Nadawca' => 4, 'Tresc' => 5, 'Podpis' => 6, 'DataWyslania' => 7, 'Status' => 8, 'Obejrzana' => 9, 'Obraz' => 10, 'Znaczek' => 11, 'Styl' => 12, 'Kod' => 13, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'createdAt' => 1, 'updatedAt' => 2, 'adresat' => 3, 'nadawca' => 4, 'tresc' => 5, 'podpis' => 6, 'dataWyslania' => 7, 'status' => 8, 'obejrzana' => 9, 'obraz' => 10, 'znaczek' => 11, 'styl' => 12, 'kod' => 13, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::CREATED_AT => 1, self::UPDATED_AT => 2, self::ADRESAT => 3, self::NADAWCA => 4, self::TRESC => 5, self::PODPIS => 6, self::DATA_WYSLANIA => 7, self::STATUS => 8, self::OBEJRZANA => 9, self::OBRAZ => 10, self::ZNACZEK => 11, self::STYL => 12, self::KOD => 13, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'created_at' => 1, 'updated_at' => 2, 'adresat' => 3, 'nadawca' => 4, 'tresc' => 5, 'podpis' => 6, 'data_wyslania' => 7, 'status' => 8, 'obejrzana' => 9, 'obraz' => 10, 'znaczek' => 11, 'styl' => 12, 'kod' => 13, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new EkartkiMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(EkartkiPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(EkartkiPeer::ID);

		$criteria->addSelectColumn(EkartkiPeer::CREATED_AT);

		$criteria->addSelectColumn(EkartkiPeer::UPDATED_AT);

		$criteria->addSelectColumn(EkartkiPeer::ADRESAT);

		$criteria->addSelectColumn(EkartkiPeer::NADAWCA);

		$criteria->addSelectColumn(EkartkiPeer::TRESC);

		$criteria->addSelectColumn(EkartkiPeer::PODPIS);

		$criteria->addSelectColumn(EkartkiPeer::DATA_WYSLANIA);

		$criteria->addSelectColumn(EkartkiPeer::STATUS);

		$criteria->addSelectColumn(EkartkiPeer::OBEJRZANA);

		$criteria->addSelectColumn(EkartkiPeer::OBRAZ);

		$criteria->addSelectColumn(EkartkiPeer::ZNACZEK);

		$criteria->addSelectColumn(EkartkiPeer::STYL);

		$criteria->addSelectColumn(EkartkiPeer::KOD);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(EkartkiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			EkartkiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = EkartkiPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return EkartkiPeer::populateObjects(EkartkiPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			EkartkiPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(Ekartki $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof Ekartki) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or Ekartki object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = EkartkiPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = EkartkiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = EkartkiPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				EkartkiPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return EkartkiPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(EkartkiPeer::ID) && $criteria->keyContainsValue(EkartkiPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.EkartkiPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(EkartkiPeer::ID);
			$selectCriteria->add(EkartkiPeer::ID, $criteria->remove(EkartkiPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(EkartkiPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												EkartkiPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof Ekartki) {
						EkartkiPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(EkartkiPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								EkartkiPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(Ekartki $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(EkartkiPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(EkartkiPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(EkartkiPeer::DATABASE_NAME, EkartkiPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = EkartkiPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = EkartkiPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(EkartkiPeer::DATABASE_NAME);
		$criteria->add(EkartkiPeer::ID, $pk);

		$v = EkartkiPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(EkartkiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(EkartkiPeer::DATABASE_NAME);
			$criteria->add(EkartkiPeer::ID, $pks, Criteria::IN);
			$objs = EkartkiPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseEkartkiPeer::DATABASE_NAME)->addTableBuilder(BaseEkartkiPeer::TABLE_NAME, BaseEkartkiPeer::getMapBuilder());

